<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

{% extends "base.html" %}
{% block content %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load i18n %}

<span>
  <a href="{% url 'history_entries_month' previous_month %}">
    &larr; {% trans "Previous" %}
  </a>
  <span>&nbsp;
  </span>
</span>

{% if  day.year < now.year or day.month < now.month %}<span>
  <a href="{% url 'history_entries_month' next_month %}">
    {% trans "Next" %} &rarr;
  </a>
</span>
{% endif %}

<div class="row">
  <div class="col-lg-10">
    <ul class="nav nav-tabs">
      <li role="presentation">
	<a href="{% url 'history_sells_month' day|date:'Y-m'  %}">
	  {% trans "Sells" %}
	</a>

      </li>
      <li role="presentation" class="active">
	<a href="#">
	  {% trans "Entries" %}
	</a>
      </li>
    </ul>
  </div>
</div>

<span>
  <span style="font-size: 36pt; font-size: 500; margin-right: 1em; vertical-align: middle;">
    {{ day | date:'F o' | title }}
  </span>
  <span>
    <div class="btn-group">
      <div class="dropdown">
        <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn btn-success dropdown-toggle">
	  {% trans "Export" %}
          <span class="caret"> </span>

	</button>
        <ul class="dropdown-menu">
          <li>
	    <a href="/history/entries/month/{{day.year}}-{{day.month}}/export?fileformat=txt" title="">
	      {% trans "All entries of this month" %} - txt
	    </a>
	    <a href="/history/entries/month/{{day.year}}-{{day.month}}/export?fileformat=csv" title="">
	      {% trans "All entries of this month" %} - csv
	    </a>
	  </li>
	</ul>
      </div>
    </div>
  </span>
</span>

<div class="row">
  <div class="col-md-3 panel panel-info">
    <div class="panel-heading">
      {% trans "Products received" %}
    </div>
    <div class="panel-body">
      {{ data.nb_entries }} {% trans "products" %}
    </div>
  </div>
</div>

<div class="col-md-4">
  <table class="table table-striped">
    {% for it in data.entries_per_day reversed %}

    <tr>
      <td>
	{% if  it.weekday == 6 %}<span style="color: grey;">
	{{ it.date_obj | date:'l' }} 
	</span>
	{% else %}<span>
	  {{ it.date_obj | date:'l' }} 
	</span>
	{% endif %}

      </td>
      <td>
	<a href="{% url 'history_entries_day' it.date %}">
	  {{ it.date }}
	</a>

      </td>
      <td class="text-right">
	{{ it.price_entered_fmt }}
      </td>
      <td class="text-right">x {{ it.nb_entered }}
      </td>

    </tr>
    {% endfor %}

  </table>
</div>

{% endblock content %}
